Name:           libspectrum
Version:        1.0.0
Release:        1%{?dist}
Summary:        A library for reading spectrum emulator file formats
Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://fuse-emulator.sourceforge.net/libspectrum.php
Source0:        http://downloads.sourceforge.net/fuse-emulator/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  audiofile-devel >= 0.2.3
BuildRequires:  bzip2-devel
BuildRequires:  glib2-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  zlib-devel

%description
A library for reading various spectrum emulator file formats.


%package devel
Summary:    Development files for libspectrum
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   libgcrypt-devel

%description devel
Development files for libspectrum.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_libdir}/libspectrum.so.*
%{_mandir}/man3/libspectrum.3*
%doc README ChangeLog THANKS AUTHORS COPYING


%files devel
%defattr(-,root,root)
%exclude %{_libdir}/libspectrum.la
%{_libdir}/libspectrum.so
%{_includedir}/libspectrum.h
%doc doc/libspectrum.txt


%changelog
* Fri Dec 17 2010 Lucian Langa <cooly@gnome.eu.org> - 1.0.0-1
- new upstream release

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 05 2008 Lucian Langa <cooly@gnome.eu.org> - 0.5.0-1
- new upstream 0.5.0

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-2
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 Ian Chapman <packages[AT]amiga-hardware.com> 0.4.0-1
- Upgrade to 0.4.0

* Tue Aug 21 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.3.0.1-3
- Release bump for F8 mass rebuild
- License change due to new guidelines

* Sat Jun 30 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.3.0.1-2
- Release bump

* Sat Jun 30 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.3.0.1-1
- Upgrade to 0.3.0.1
- Changes to spec due to new guidelines

* Fri Nov 11 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.2.2-4
- Renamed spec file

* Fri Nov 11 2005 Paul Howarth <paul@city-fan.org> 0.2.2-3
- Remove Packager: tag
- Use full URL for source
- Use standard Fedora Extras buildroot
- Add buildreqs bzip2-devel, libgcrypt-devel, glib2-devel
- Add libgcrypt-devel req for -devel subpackage
- Unpack tarball quietly
- Don't build or include static library
- Use DESTDIR with make instead of %%makeinstall
- Honour %%{?_smp_mflags}
- Move manpage to -devel subpackage

* Mon Oct 17 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0-2.2-2.3
- Multiple fixes to the spec file to bring it into line with FC rules

* Mon Jul 11 2005 Paul Johnson <paul@all-the-johnsons.co.uk> - 0.2.2-2.iss
- Rebuild for Fedora Core 4
- Slight alteration to SPEC file for it to work with the Fedora RPM tools

* Mon Feb 28 2005 Ian Chapman <packages[AT]amiga-hardware.com> - 0.2.2-2.iss
- Change log duplicated in spec file, fixed.

* Mon Jul 19 2004 Ian Chapman <packages[AT]amiga-hardware.com> - 0.2.2-1.iss
- Upgraded to version 0.2.2
- RPM built for Fedora Core 2

* Fri Dec 05 2003 Ian Chapman <packages[AT]amiga-hardware.com> - 0.2.0.1-2
- Minor changes to changelog
- Improved use of macros
- Moved appropriate files to devel package

* Sat Dec 01 2003 Ian Chapman <packages[AT]amiga-hardware.com> - 0.2.0.1-1
- Initial Release
